> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Paging Extension

> Create a paging extension



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/extensions/paging/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/extensions/paging/:
    post:
      tags:
        - Extensions
      summary: Create Paging Extension
      description: Create a paging extension
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                name:
                  type: string
                  minLength: 3
                number:
                  type: string
                  minLength: 2
                  maxLength: 10
                  pattern: ^\d+$
                branchId:
                  type: number
                  exclusiveMinimum: 0
                emergencyLocationId:
                  type: number
                  exclusiveMinimum: 0
                emergencyLocation:
                  anyOf:
                    - type: string
                    - type: 'null'
                includeInPhonebook:
                  type: boolean
              required:
                - tenantId
                - name
                - number
                - emergencyLocationId
                - includeInPhonebook
              additionalProperties: false
      responses:
        '200':
          description: Created paging extension
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Extension ID
                  tenant:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Owning tenant
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension name
                  number:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension number
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension email
                  peerName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: SIP peer name
                  callerIdNumber:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Outbound caller ID number
                  recording:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call recording mode
                  emergencyLocationId:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Emergency location ID
                  includeInPhonebook:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Phonebook inclusion
                  emergencyLocationComment:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Free-text emergency location comment
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Branch
                  emergencyLocation:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          address: {}
                        required:
                          - id
                          - address
                        additionalProperties: false
                      - type: 'null'
                    description: Emergency location
                  devices:
                    default: []
                    description: Assigned devices
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        mac:
                          type: string
                      required:
                        - id
                        - name
                        - mac
                      additionalProperties: false
                required:
                  - id
                  - tenant
                  - name
                  - number
                  - email
                  - peerName
                  - callerIdNumber
                  - recording
                  - emergencyLocationId
                  - includeInPhonebook
                  - emergencyLocationComment
                  - branch
                  - emergencyLocation
                  - devices
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````